import {server} from '@/utils/request'

const path = '/sys/resource/';

/**
 * 菜单
 */
export default {
	// 获取菜单树
	menuTree(data) {
		return server.GET(`${path}tree`, data)
	},
	// 获取菜单树
	menuPage(data) {
		return server.GET(`${path}page`, data)
	},
	// 获取菜单列表
	menuList(data) {
		return server.GET(`${path}list`, data)
	},
	// 提交表单 edit为true时为编辑，默认为新增
	submitForm(data, edit = false) {
		return server.POST(`${path}${edit ? 'edit' : 'add'}`, data)
	},
	// 更改菜单所属模块
	menuChangeModule(data) {
		return server.POST(`${path}changeModule`, data)
	},
	// 删除菜单
	menuDelete(data) {
		return server.POST(`${path}delete`, data)
	},
	// 获取菜单详情
	menuDetail(data) {
		return server.GET(`${path}detail`, data)
	}
}
